Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Announcements

Welcome to Cisco Support Community. We would love to have your feedback.

For an introduction to the new site, click here. And see here for current known issues.

New Member

SG300-28P Firmware upgrade error -

Greeting's I downloaded Sx300_FW_Boot_1.4.0.88 firmware upgrade for SG300-28P switch. The MD5 checksum of the file matches as listed on Cisco, However when I am uploading the firmware (.ros file) to the switch I get error message:

Bytes Transferred: 7011840

Status: Copy failed
Error Message: Copy: SW code file is over sized

 

Anyone else having the same problem? Any workarounds? 

 

 

Thank You!

Parth.

Everyone's tags (3)
1 ACCEPTED SOLUTION

Accepted Solutions
Bronze

 Hi,I like to suggest to

 

Hi,

I like to suggest to upgrade the bootloader file(sx300_boot-13506.rfb) first before attempting the firmware. Bootloader can be found on the same zip folder as the firmware.you can use TFTP server to upgrade the boot loader.

 

Cisco SG300 WEB interface > Administration>File Managment> TFTP .... when you select TFTP the radio button for the "BOOT" fw is now available. Just type in the name of the file and it should load the boot firmware.

regards

Moorthy

 

5 REPLIES
Bronze

Hi, You need to carry out an

Hi,

 

You need to carry out an interim firmware upgrade to the previous version. Then upgrade to 1.4.X.X. The switch flash file system was changed in 1.3.7.18

 

regards

Moorthy

New Member

Thank You, Moorthy. Pardon me

Thank You, Moorthy. Pardon me for not mentioning this detain in the initial post. The switch however is running 1.3.7.18 currently. It is the active image.

 

Regards,

Parth

Bronze

 Hi,I like to suggest to

 

Hi,

I like to suggest to upgrade the bootloader file(sx300_boot-13506.rfb) first before attempting the firmware. Bootloader can be found on the same zip folder as the firmware.you can use TFTP server to upgrade the boot loader.

 

Cisco SG300 WEB interface > Administration>File Managment> TFTP .... when you select TFTP the radio button for the "BOOT" fw is now available. Just type in the name of the file and it should load the boot firmware.

regards

Moorthy

 

You need upgrade bootrom to

You need upgrade bootrom to be able to go past 1.3.7.18.  When going to 1.3.7.18 it is recommended in release notes to do this for this reason. 

-- please remember to rate and mark answered helpful posts --

For reference here are the

For reference here are the relevant notes:

Change in Flash file system

In versions 1.3.5 and later, the Flash file system has been upgraded. This has

implications when upgrading from previous releases to version 1.3.5, and

when downgrading from 1.3.5 or later to previous versions as described

below.

Upgrading from previous releases

During the first bootup of the new version, the flash file system is upgraded. Note

that:

This process takes a few minutes. “…” progress in the Console will be

displayed during this process (not relevant to Sx200).

The syslog file is deleted during this process.

The original image file is deleted. The two images on the Flash after the

upgrade will have the same version.

NOTE Before upgrading to version 1.3.5 and later, the boot loader also needs to be

updated.

If version 1.3.5 or later is installed using the original boot loader, the file system will

not be upgraded, and in the future the user will not be allowed to upgrade to

versions higher than 1.3.5.

-- please remember to rate and mark answered helpful posts --
4410
Views
0
Helpful
5
Replies
CreatePlease login to create content